Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jini.rio.core
Enum Association.State

    java.lang.Object
      java.lang.Enum<Association.State>
          org.jini.rio.core.Association.State

All Implemented Interfaces:
  Serializable, Comparable<Association.State>

Enclosing class:
  Association<T>

    public static enum Association.State

extends Enum<Association.State>

Association State enums indicate the following:

- PENDING: Indicates that an associated service has not been discovered
- DISCOVERED: Indicates that an associated service has been discovered
- CHANGED: Indicates that an associated service has changed, that is an end-point has changed, and the association now points a different service
- BROKEN: Indicates that the association is broken

Enum Constant Summary
`BROKEN`
`CHANGED`
`DISCOVERED`
`PENDING`

Method Summary
`static Association.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Association.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PENDING

    public static final Association.State PENDING

### DISCOVERED

    public static final Association.State DISCOVERED

### CHANGED

    public static final Association.State CHANGED

### BROKEN

    public static final Association.State BROKEN

Method Detail

### values

    public static final Association.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Association.State c : Association.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Association.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © Project Rio.